package jgrasp_viewers_python;


import jgrasp.viewer.ViewerCreateData;
import jgrasp.viewer.ViewerInfo;
import jgrasp.viewer.ViewerPriorityData;
import jgrasp.viewer.gui.TreeViewer;


/** The basic expandable tree object viewer. **/
public class _X_BasicView extends TreeViewer {


   /** Creates a new basic viewer.
    *
    * @param vcd creation data. **/
   public _X_BasicView(final ViewerCreateData vcd) {
      super(vcd);
   }


   /** {@inheritDoc} **/
   @Override
   public void getInfo(final ViewerInfo vi) {
      vi.setShortDescription("Basic viewer");
      vi.setLongDescription("This viewer displays a value as an expandable tree.");
   }


   /** {@inheritDoc} **/
   @Override
   public int getPriority(final ViewerPriorityData vpd) {
      return 0;
   }


   /** {@inheritDoc} **/
   @Override
   public String getViewName() {
      return "Detail";
   }
}
